function TradeScan_OnLoad()
	DEFAULT_CHAT_FRAME:AddMessage("Tradeskill Scanner loaded, type /tradescan scan  or /ts scan to activate.");

	SlashCmdList["TradeScan"] = TradeScan_SlashHandler;
	SLASH_TradeScan1 = "/tradescan";
	SLASH_TradeScan2 = "/ts";
end

function TradeScan_SlashHandler(msg)
	local Blacksmithing = "Armorsmith | Weaponsmith | Master Swordsmith | Master Axesmith | Master Hammersmith";
	local Engineering = "Goblin Engineering | Gnomish Engineering";
	local Leatherworking = "Tribal Leatherworking | Elemental Leatherworking | Dragonscale Leatherworking";
	
	local SpecList = {};
	local SpecString = "None.";
	
	if(string.lower(msg) == "scan") then
		local name, texture, offset, numSpells = GetSpellTabInfo(1);
		for index = 1, numSpells, 1 do 
			local spellName, spellRank = GetSpellName(index, BOOKTYPE_SPELL);
			if(spellName) then
				if string.find(Blacksmithing, spellName) then table.insert(SpecList, "Blacksmithing: "..spellName);
				elseif string.find(Engineering, spellName) then table.insert(SpecList, "Engineering: "..spellName);
				elseif string.find(Leatherworking, spellName) then table.insert(SpecList, "Leatherworking: "..spellName);
				end
			end
		end
		if table.getn(SpecList) > 0 then SpecString = table.concat(SpecList, ", ") end;
		DEFAULT_CHAT_FRAME:AddMessage("Found the following tradeskill specializations: "..SpecString);
	else
		return DEFAULT_CHAT_FRAME:AddMessage("This isn't a very flexible little tradeskill scanner.  Type /tradescan scan or leave the poor baby alone.");
	end
	
end
	
